DELETE
/bot/{botName}/alias/{botAlias}/user/{userId}/session
http://runtime.lex.{region}.amazonaws.com/bot/{botName}/alias/{botAlias}/user/{userId}/sessionRemoves session information for a specified bot, alias, and user ID.
Access Token Required: API Key
Path Parameters
botNamestringrequired
The name of the bot that contains the session data.
botAliasstringrequired
The alias in use for the bot that contains the session data.
userIdstringrequired
The identifier of the user associated with the session data.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request DELETE \2 --url 'http://runtime.lex.{region}.amazonaws.com/bot/{botName}/alias/{botAlias}/user/{userId}/session' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}